using System.ComponentModel.DataAnnotations;
using CatalogService.Entities;
using Shared.Entities;

namespace TrainingSvc.Entities;

public class ExerciceInstance : EntityBase
{
    public required string Name { get; set; }
    
    public string? ExerciceTemplateId { get; set; }
    
    public ExerciceTemplate? ExerciceTemplate { get; set; } 
    
    public float Duration { get; set; }
    
    public int NbSets { get; set; }
    
    public int NbReps { get; set; }
    
    public float RestingTime { get; set; }
    
    public float? Weight { get; set; }
    
    public bool IsDone { get; set; }
    
    [Required]
    public string SessionId { get; set; }
    
    public Session Session { get; set; }
}