using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using Shared.Entities;
using Shared.Enum;

namespace TrainingSvc.Entities;

public class Session : EntityBase
{
    public required string Name { get; set; }
    
    public string? Description { get; set; }
    
    [Range(1, 7)]
    public int Day { get; set; }
    
    public ETarget? Target { get; set; }
    
    [Required]
    public string TrainingProgramId { get; set; }
    public TrainingProgram TrainingProgram { get; set; }
    
    public virtual ICollection<ExerciceInstance> Exercices { get; set; } = new Collection<ExerciceInstance>();
}