using System.Collections.ObjectModel;
using Shared.Entities;
using Shared.Enum;

namespace TrainingSvc.Entities;

public class TrainingProgram : EntityBase
{
    public string Lang { get; set; } = "en";
    
    public required string Name { get; set; }
    
    public string? Description { get; set; }
    
    public int WeekDuration { get; set; } = 4;
    
    public int NbDays { get; set; } = 3;

    public string OwnerId { get; set; } = "";
    
    public EGoal Goal { get; set; } = EGoal.MuscleGain;
    
    public EDifficulty Difficulty { get; set; } = EDifficulty.Beginner;
    
    public virtual ICollection<Session> Sessions { get; set; } = new Collection<Session>();
}