using AutoMapper;
using TrainingSvc.DTOs;
using TrainingSvc.Entities;
using CatalogService.Entities;

namespace TrainingSvc.RequestHelpers;

public class ExerciceInstanceProfile : Profile
{
    public ExerciceInstanceProfile()
    {
        CreateMap<ExerciceInstance, ExerciceDto>()
            .ForMember(dest => dest.Name_Template, opt => opt.MapFrom(src => src.ExerciceTemplate != null ? src.ExerciceTemplate.Name : null))
            .ForMember(dest => dest.Description_Template, opt => opt.MapFrom(src => src.ExerciceTemplate != null ? src.ExerciceTemplate.Description : null))
            .ForMember(dest => dest.ImageUrl_Template, opt => opt.MapFrom(src => src.ExerciceTemplate != null ? src.ExerciceTemplate.ImageUrl : null))
            .ForMember(dest => dest.VideoUrl_Template, opt => opt.MapFrom(src => src.ExerciceTemplate != null ? src.ExerciceTemplate.VideoUrl : null))
            .ForMember(dest => dest.Target_Template, opt => opt.MapFrom(src => src.ExerciceTemplate != null ? src.ExerciceTemplate.Target.ToString() : null));

        CreateMap<CreateExerciceInstanceDto, ExerciceInstance>();
        CreateMap<UpdateExerciceInstanceDto, ExerciceInstance>();
    }
}